%define GCC_PREFIX /usr
%define CPP_PREFIX /lib
%define GCC_VERSION 2.95.3
%define STDC_VERSION 2.10.0
%define LIBGCJ_VERSION 2.95.1

%define objdir obj-%{_target_platform}
%define f77_yes    0

%ifarch s390 ppc
%define build_java 0
%else
%define build_java 1
%endif

Prefix: %{GCC_PREFIX}

Name: gcc
Summary: Various compilers (C, C++, Objective-C, Chill, ...)
Version: %{GCC_VERSION}
Release: 7
Group: Development
License: GPL
URL: http://gcc.gnu.org

Source0: ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{version}.tar.bz2
Source1: ftp://sourceware.cygnus.com/pub/java/libgcj-%{LIBGCJ_VERSION}.tar.gz
Source2: gcov.1.gz
Source3: libgcc.map
## Patch from PLD Linux
Patch0: %{name}-pointer-arith.patch
## Patch from Convective Linux
## Patch0: %{name}-2.95.2-warn.patch
Patch1: %{name}-libgcj-config.patch.bz2
Patch2: %{name}-%{version}-atexit.patch
Patch3: %{name}-%{version}-setlocale.patch
Patch4: %{name}-2.95.2-s390.patch
Patch5: %{name}-2.95.2-fixup.patch
## Patch from PLD Linux
Patch6: %{name}-info.patch
Patch7: %{name}-pld-linux.patch
Patch8: %{name}-bootstrap.patch
Patch9: %{name}-cpp-macro-doc.patch
Patch10: %{name}-libstdc++-out-of-mem.patch
Patch11: %{name}-libstdc++-wstring.patch
Patch12: %{name}-libstdc++-bastring.patch
Patch13: %{name}-manpage.patch
Patch14: %{name}-cpp-dos-newlines.patch
Patch15: %{name}-gpc.patch
Patch16: %{name}-m68k-pic.patch
Patch17: %{name}-sparc32-rfi.patch
Patch18: %{name}-builtin-apply.patch
Patch19: %{name}-ppc-ice.patch
Patch20: %{name}-ppc-descriptions.patch
Patch21: %{name}-alpha-complex-float.patch
Patch22: %{name}-gcj-vs-iconv.patch
Patch23: %{name}-libobjc.patch

Obsoletes: egcs <= 1.1.2
Prereq: /sbin/install-info
Requires: binutils >= 2.9.1.0.25
Requires: cpp = %{version}-%{release}
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
The gcc package contains the GNU Compiler Collection: cc and gcc. You'll need
this package in order to compile C/C++ code.

%package c++
Summary: C++ support for gcc
Group: Development/Languages
Obsoletes: egcs-c++
Requires: gcc = %{version}-%{release}
Requires: cpp = %{version}-%{release}

%description c++
This package adds C++ support to the GNU C compiler. It includes support
for most of the current C++ specification, including templates and
exception handling. It does include the static standard C++
library and C++ header files; the library for dynamically linking
programs is available separately.

%package -n libstdc++
Summary: GNU c++ library
Group: System Environment/Libraries
Obsoletes: gcc-libstdc++
Provides: libstdc++-libc6.1-1.so.2 libstdc++-libc6.1-2.so.3 libstdc++.so.2.9

%description -n libstdc++
The libstdc++ package contains a snapshot of the GCC Standard C++
Library v3, an ongoing project to implement the ISO 14882 Standard C++
library.

%package -n libstdc++-devel
Summary: Header files and libraries for C++ development
Group: Development/Libraries
Obsoletes: gcc-libstdc++-devel

%description -n libstdc++-devel
This is the GNU implementation of the standard C++ libraries.  This
package includes the header files and libraries needed for C++
development. This includes SGI's implementation of the STL.

%package objc
Summary: Objective C support for gcc
Group: Development/Languages
Obsoletes: egcs-objc
Requires: gcc = %{version}-%{release}

%description objc
gcc-objc provides Objective C support for the GNU C compiler (gcc).
Mainly used on systems running NeXTSTEP, Objective C is an
object-oriented derivative of the C language.

Install gcc-objc if you are going to do Objective C development and
you would like to use the gcc compiler.  You'll also need gcc.

%package g77
Summary: Fortran 77 support for gcc
Group: Development/Languages
Obsoletes: egcs-g77, g77
Requires: gcc = %{version}-%{release}

%description g77
The gcc-g77 package provides support for compiling Fortran 77
programs with the GNU gcc compiler.

You should install gcc-g77 if you are going to do Fortran development
and you would like to use the gcc compiler.  You will also need gcc.

%package chill
Summary: CHILL support for gcc
Group: Development/Languages
Obsoletes: gcc-CHILL
Requires: gcc = %{version}-%{release}

%description chill
This package adds support for compiling CHILL programs with the GNU
compiler.

Chill is the "CCITT High-Level Language", where CCITT is the old
name for what is now ITU, the International Telecommunications Union.
It is is language in the Modula2 family, and targets many of the
same applications as Ada (especially large embedded systems).
Chill was never used much in the United States, but is still
being used in Europe, Brazil, Korea, and other places.

## ---------------------->>
## BUILD JAVA COMPILER
%if %{build_java}
%package java
Summary: Java support for gcc
Group: Development/Languages
Requires: gcc = %{version}-%{release}, libgcj >= %{version}-%{release}

%description java
This package adds experimental support for compiling Java(tm) programs and
bytecode into native code. To use this you will also need the gcc-libgcj
package.

%package -n libgcj
Summary: Java runtime library for gcc
Group: System Environment/Libraries
URL: http://sourceware.cygnus.com/java/
Obsoletes: gcc-libgcj
Requires: zip >= 2.1

%description -n libgcj
The Java runtime library. You will need this package to compile your Java
programs using the gcc Java compiler (gcj).

%package -n libgcj-devel
Summary: Header files and libraries for Java development
Group: Development/Libraries
PreReq: libgcj = %{version}-%{release}

%description -n libgcj-devel
This package contains the headers that programmers will need to develop
applications which will use libgcj.

%endif # build_java
## <<----------------------

%package -n cpp
Summary: The C Preprocessor.
Group: Development/Languages
Prereq: /sbin/install-info

%description -n cpp
Cpp (or cccp) is the GNU C-Compatible Compiler Preprocessor.
Cpp is a macro processor which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define macros, abbreviations for longer
constructs.

The C preprocessor provides four separate functionalities: the
inclusion of header files (files of declarations that can be
substituted into your program); macro expansion (you can define macros,
and the C preprocessor will replace the macros with their definitions
throughout the program); conditional compilation (using special
preprocessing directives, you can include or exclude parts of the
program according to various conditions); and line control (if you use
a program to combine or rearrange source files into an intermediate
file which is then compiled, you can use line control to inform the
compiler about where each source line originated).

You should install this package if you are a C programmer and you use
macros.

%prep 
%setup -q -n %{name}-%{version}
#%patch0 -p1 -b .warn
%patch0 -p0 -b .pointer-arith 
%patch2 -p1 -b .atexit
%patch3 -p1 -b .setlocale
%ifarch s390
%patch4 -p1 -b .s390
%patch5 -p1 -b .fixup -R
%endif
%patch6 -p1 -b .info
%patch7 -p1 -b .pld
%patch8 -p1 -b .bootstrap
%patch9 -p0 -b .cpp-macro
%patch10 -p0 -b .libstdc++-out-of-mem
%patch11 -p0 -b .libstdc++-wstring
%patch12 -p0 -b .libstdc++-bastring
%patch13 -p0 -b .manpage
%patch14 -p0 -b .cpp-dos-newlines
%patch15 -p1 -b .gpc
%ifarch m68k
%patch16 -p0 -b .m68k
%endif
%ifarch sparc sparc32
%patch17 -p0 -b .spark32-rfi
%patch18 -p0 -b .builtin-apply
%endif
%ifarch ppc
%patch19 -p0 -b .ppc-ice
%patch20 -p0 -b .ppc-descriptions
%endif
%ifarch alpha
%patch21 -p1 -b .alpha
%endif
#%patch22 -p0 -b .gcj-vs-iconv
%patch23 -p0 -b .libobjc

%if %{build_java}
%setup -q -a1 -D -T -n %{name}-%{version}
mv libgcj-%{LIBGCJ_VERSION} libgcj
mv libgcj/boehm-gc libgcj/libjava libgcj/zlib libgcj/zip .
cp -f libgcj/ltmain.sh libgcj/ltconfig .
%patch1 -p1 -b .java
%endif

# Remove bison-generated files - we want bison 1.28'ish versions...
for i in gcc/cp/parse gcc/c-parse gcc/cexp gcc/java/parse-scan gcc/java/parse gcc/objc/objc-parse; do
    rm -f $i.c
done

%build
rm -rf %{objdir}
mkdir %{objdir}
cd %{objdir}

## Pthreads are currently not supported on sparc
CFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
CXXFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
XCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
TCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
../configure --prefix=%{_prefix} \
   --bindir=%{_bindir} \
   --includedir=%{_includedir} \
   --libdir=%{_libdir} \
   --mandir=%{_mandir} \
   --infodir=%{_infodir} \
   --enable-shared \
   --enable-haifa \
%ifnarch sparc 
   --enable-threads=posix \
%endif
	--host=%{_target_platform}

touch ../gcc/c-gperf.h

numprocs=`cat /proc/cpuinfo | grep processor | wc | cut -c7`
if [ "x$numprocs" = "x" -o "x$numprocs" = "x0" ]; then
  numprocs=1
fi

#make -j ${numprocs} bootstrap-lean
make bootstrap-lean

# run the tests.
# rpm seems to terminate when make -k check fails.
# make -k check || true

# Copy various doc files here and there
cd ..
mkdir -p rpm.doc/libstdc++ rpm.doc/g77 rpm.doc/chill rpm.doc/objc rpm.doc/libgcj

(cd libio; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libio
done)
(cd libstdc++; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libstdc++
done)
(cd gcc/f; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/g77/$i.f
done)
(cd libf2c; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/g77/$i.libf2c
done)
(cd gcc/ch; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/chill/$i.ch
done)
(cd libchill; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/chill/$i.libchill
done)
(cd gcc/objc; for i in README*; do
	cp -p $i ../../rpm.doc/objc/$i.objc
done)
(cd libobjc; for i in README*; do
	cp -p $i ../rpm.doc/objc/$i.libobjc
done)

%if %{build_java}
(cp -p libgcj/ChangeLog rpm.doc/libgcj/ChangeLog
for i in boehm-gc/ChangeLog libjava/ChangeLog zlib/ChangeLog; do
	cp -p $i rpm.doc/libgcj/ChangeLog.`echo $i | sed 's|/.*||'`
done)
%endif

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_infodir},%{_mandir}}
cd %{objdir}

%if %{build_java}
mv %{_target_platform}/libjava/Makefile %{_target_platform}/libjava/Makefile.old
cat %{_target_platform}/libjava/Makefile.old | sed -e "\
s@/usr/bin@%{buildroot}%{_bindir}@g" > %{_target_platform}/libjava/Makefile
%endif

%makeinstall

FULLVER=`%{buildroot}%{_bindir}/%{_target_platform}-gcc --version | \
cut -d' ' -f1`
FULLPATH=$(dirname %{buildroot}%{_libdir}/gcc-lib/%{_target_platform}/$FULLVER/cc1)

file %{buildroot}%{_bindir}/* | grep ELF | cut -d':' -f1 | xargs strip || :
strip $FULLPATH/{cc1,cc1obj,cpp0,f771,jc1,jvgenmain,cc1chill}

# fix some things
ln -sf gcc %{buildroot}%{_bindir}/cc
%if %{f77_yes}
ln -sf g77 %{buildroot}%{_bindir}/f77
%endif
ln -sf g++-3 %{buildroot}%{_includedir}/g++

rm -f %{buildroot}%{_infodir}/dir
gzip -9 %{buildroot}%{_infodir}/*.info*


mkdir -p %{buildroot}/lib
ln -sf ..%{_bindir}/cpp %{buildroot}%{CPP_PREFIX}/cpp
ln -sf cccp.1.gz %{buildroot}%{_mandir}/man1/cpp.1.gz
install -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/

# added libgcc.map (oops)
install -m644 %{SOURCE3} %{buildroot}%{_libdir}/gcc-lib/%{_target_platform}/%{version}/libgcc.map

# This is required for the old RedHat 6. based programs ...
( cd %{buildroot}%{_libdir}
for i in `ls libstdc++-3-libc6.?-2-%{STDC_VERSION}.so`
do
N=`echo ${i} | sed -e 's/libstdc++-3-//g' -e 's/-2-%{STDC_VERSION}.so//g'`
ln -sf ${i} libstdc++-${N}-1.so.2
ln -sf ${i} libstdc++-${N}-1.1.so.2
ln -sf ${i} libstdc++.so.2.9
if [ "${N}" != "libc6.1" ]; then
ln -sf ${i} libstdc++-libc6.1-1.so.2
ln -sf ${i} libstdc++-libc6.1-2.so.3
fi
done
)

%clean
rm -rf %{buildroot}

%post
/sbin/install-info \
        --info-dir=%{_infodir} %{_infodir}/gcc.info.gz

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
        --info-dir=%{_infodir} %{_infodir}/gcc.info.gz
fi

%post -n libstdc++
if ! grep '^%{_libdir}$' /etc/ld.so.conf > /dev/null 2>&1; then
	echo %{_libdir} >>/etc/ld.so.conf
fi

(cd %{_libdir}
for i in `echo libstdc++-3-libc6.?-2-%{STDC_VERSION}.so`
do
N=`echo ${i} | sed -e 's/libstdc++-3-//g' -e 's/-2-%{STDC_VERSION}.so//g'`
ln -sf ${i} libstdc++-${N}-1.so.2
ln -sf ${i} libstdc++-${N}-1.1.so.2
ln -sf ${i} libstdc++.so.2.9
if [ "${N}" != "libc6.1" ]; then
ln -sf ${i} libstdc++-libc6.1-1.so.2
ln -sf ${i} libstdc++-libc6.1-2.so.3
fi
done
)

/sbin/ldconfig

%postun -n libstdc++
if [ "$1" = "0" ]; then
	grep -v "%{_libdir}" /etc/ld.so.conf >/etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%post g77
/sbin/install-info \
	--info-dir=%{_infodir} %{_infodir}/g77.info.gz

%preun g77
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
	--info-dir=%{_infodir} %{_infodir}/g77.info.gz
fi

%post chill
/sbin/install-info \
	--info-dir=%{_infodir} %{_infodir}/chill.info.gz

%preun chill
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
	--info-dir=%{_infodir} %{_infodir}/chill.info.gz
fi

%if %{build_java}
%post -n libgcj
if ! grep '^%{_prefix}/%{_target_platform}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
	echo %{_libdir} >>/etc/ld.so.conf
fi
/sbin/ldconfig

%postun -n libgcj
if [ "$1" = "0" ]; then
	grep -v "%{_prefix}/%{_target_platform}/lib" /etc/ld.so.conf >/etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig
%endif

%post -n cpp
/sbin/install-info \
	--info-dir=%{_infodir} %{_infodir}/cpp.info.gz

%preun -n cpp
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
	--info-dir=%{_infodir} %{_infodir}/cpp.info.gz
fi

%triggerpostun -n libstdc++ -- libstdc++ < 2.95.2
cd %{_libdir}
for i in `echo libstdc++-3-libc6.?-2-%{STDC_VERSION}.so`
do
N=`echo ${i} | sed -e 's/libstdc++-3-//g' -e 's/-2-%{STDC_VERSION}.so//g'`
ln -sf ${i} libstdc++-${N}-1.so.2
done

/sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/gcc
%{_bindir}/cc
%{_bindir}/protoize
%{_bindir}/unprotoize
%{_bindir}/gcov
%{_bindir}/%{_target_platform}-gcc
%{_mandir}/man1/gcc.*
%{_infodir}/gcc*
%dir %{_libdir}/gcc-lib
%dir %{_libdir}/gcc-lib/%{_target_platform}
%dir %{_libdir}/gcc-lib/%{_target_platform}/%{version}
%dir %{_libdir}/gcc-lib/%{_target_platform}/%{version}/include
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/cc1
%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_platform}/%{version}/collect2
%ifnarch alpha
%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_platform}/%{version}/crt*.o
%endif
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/libgcc.a
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/lib*.map
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/specs
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/SYSCALLS.c.X
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/README
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/float.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/g2c.h
%ifnarch s390 ppc
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/asm
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/gnu
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/selectbits.h
%endif
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/iso646.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/limits.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/proto.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/stdarg.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/stdbool.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/stddef.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/syslimits.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/va-*.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/varargs.h
%doc %{name}/README* %{name}/*ChangeLog*

%files -n cpp
%defattr(-,root,root)
%{CPP_PREFIX}/cpp
%{_bindir}/cpp
%{_mandir}/man1/cpp.*
%{_mandir}/man1/cccp.*
%{_infodir}/cpp.info*.gz
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/cpp0

%files c++
%defattr(-,root,root)
%{_mandir}/man1/g++.*
%{_bindir}/g++
%{_bindir}/c++
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/cc1plus
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/exception
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/new
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/new.h
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/typeinfo
%doc gcc/cp/ChangeLog*

%files -n libstdc++
%defattr(-,root,root)
%attr(0644,root,root) %{_libdir}/libstdc++-3-libc*-%{STDC_VERSION}.so
%{_libdir}/libstdc++-libc*.so.3
%{_libdir}/libstdc++-libc*.so.2
%{_libdir}/libstdc++.so.2.9
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/libstdc++.so

%files -n libstdc++-devel
%defattr(-,root,root)
%{_libdir}/libstdc++-3-libc*-%{STDC_VERSION}.a
%{_libdir}/libstdc++-libc*.a.3
%{_includedir}/g++-3
%{_includedir}/g++
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/libstdc++.a
%doc rpm.doc/libstdc++/*

%files objc
%defattr(-,root,root)
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/cc1obj
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/libobjc.a
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/objc
%doc rpm.doc/objc/*
%doc libobjc/THREADS* libobjc/ChangeLog

%files g77
%defattr(-,root,root)
%{_bindir}/g77
%if %{f77_yes}
%{_bindir}/f77
%endif
%{_infodir}/g77*
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/f771
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/libg2c.a
%{_mandir}/man1/g77.*
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/include/g2c.h
%doc gcc/f/README rpm.doc/g77/*

%files chill
%defattr(-,root,root)
%{_bindir}/chill
%{_infodir}/chill*
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/cc1chill
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/chill*.o
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/libchill.a
%doc gcc/ch/README gcc/ch/chill.brochure rpm.doc/chill/*

%if %{build_java}
%files java
%defattr(-,root,root)
%{_bindir}/gcj
%{_bindir}/gcjh
%{_bindir}/jcf-dump
%{_bindir}/jv-scan
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/jc1
%{_libdir}/gcc-lib/%{_target_platform}/%{version}/jvgenmain
%{_libdir}/libgcj.spec
%doc gcc/java/ChangeLog*

%files -n libgcj
%defattr(-,root,root)
%{_bindir}/jv-convert
%{_libdir}/lib*gcj*
%{_datadir}/libgcj.zip
%doc rpm.doc/libgcj/ChangeLog*

%files -n libgcj-devel
%defattr(0644,root,root,0755)
%{_libdir}/lib*gcj*.la
%{_libdir}/lib*gcj*.so
%{_libdir}/lib*gcj*.a

%endif

%changelog
* Wed Jan 9 2002 JoungKyun Kim <admin@oops.org>
- rebuild for i686 in RH 7.2
- added libgcc.map

* Tue Jan 8 2002 Dongchul Ihm <eastiron@cola.kaist.ac.kr>
- add the PDL patch
- compat-libstdc++ is removed

* Wed Sep 26 2001 Dongchul Ihm <eastiron@cola.kaist.ac.kr>
- change the sub-index for package
- remove the glibc 2.2.4 patch which is not correct

* Sat Dec 11 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete egcs*, g77
- Add egcs 1.1.x'ish libstdc++ versions to compat-libstdc++

* Wed Dec  8 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on sparc

* Tue Dec  7 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add -warn patch (adapted from egcs-1.1.2 RPM)
- drop release number to 1 for 7.0 tree

* Tue Oct 26 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.95.2 release

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
